# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    iasl
%define version 20061109
%define release 1.2007mcnl
%define summary iasl compiler
%define section 

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
License:        ACPI - Software License Agreement
#http://www.intel.com/technology/iapc/acpi/license2.htm
Group:          Graphics
Source0:        acpica-unix-%{version}.tar.gz
Source1:	LICENSE_ACPI
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
iasl compiles ASL (ACPI Source Language) into AML (ACPI Machine
Language). This AML is suitable for inclusion as a DSDT in system
firmware. It also can disassemble AML, for debugging purposes.

%prep
rm -rf %{buildroot}
%setup -q -n acpica-unix-%{version} 

%build
 
cd compiler
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
cp compiler/iasl %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/doc/%{name}-%{version}
%__install -m644 %{SOURCE1} %{buildroot}%{_datadir}/doc/%{name}-%{version}
cp changes.txt %{SOURCE1} %{buildroot}%{_datadir}/doc/%{name}-%{version}
cp README %{SOURCE1} %{buildroot}%{_datadir}/doc/%{name}-%{version}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%{_datadir}/doc/%{name}-%{version}
%{_bindir}/iasl


%changelog 

*Sat Jan 20 2007 Marco Meijer <marco@mandrivaclub.nl> 20061109.2007mcnl
- Mandriva 2007 build

*Sat Feb 12 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.7-1.101mcnl
new version

*Fri Jan 07 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.6-1.101mcnl
compatible with ImageMagick 6.1.x

*Thu Jan 06 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.5-1.101mcnl
new version

*Fri Jun 11 2004 Marco Meijer <marco@mandrivaclub.nl> 1.0.4-1mcnl
new version


